Name:		totem-pl-parser
Version:	3.26.5
Release:        1
Summary:	Library fot Totem Playlist Parser
License:	LGPLv2+
URL:		https://wiki.gnome.org/Apps/Videos
Source0:	https://download.gnome.org/sources/%{name}/3.26/%{name}-%{version}.tar.xz

BuildRequires:	git meson gtk-doc gettext glib2-devel libxslt
BuildRequires: 	gmime30-devel libxml2-devel libsoup-devel gobject-introspection-devel
BuildRequires:	libquvi-devel libarchive-devel libgcrypt-devel

%description
Totem-pl-parser is a simple GObject-based library to parse a host of playlist
formats, as well as save those.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package	help
Summary: 	Doc files for %{name}
Buildarch:	noarch

%description 	help
The %{name}-help package contains doc files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING.LIB AUTHORS
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib
%{_libdir}/libtotem-plparser*
%{_libexecdir}/%{name}

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/totem-plparser-mini.pc
%{_libdir}/pkgconfig/totem-plparser.pc
%{_datadir}/gir-1.0/*

%files help
%doc NEWS README
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 3.26.5-1
- upgrade version to 3.26.5

* Thu Nov 21 2019 chengquan <chengquan3@huawei.com> - 3.26.1-5
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: add buildrequire of libxslt

* Wed Oct 10 2019 luhuaxin <luhuaxin@huawei.com> - 3.26.1-4
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: move AUTHORS to license folder

* Wed Aug 28 2019 luhuaxin <luhuaxin@huawei.com> - 3.26.1-3
- Package init
